Package org.apache.felix.http.javaxwrappers

# Class HttpServletMappingWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.HttpServletMappingWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletMapping`

public class HttpServletMappingWrapper extends Object implements javax.servlet.http.HttpServletMapping
Http Mapping wrapper

## Constructor Summary

Constructors
Constructor
Description
`HttpServletMappingWrapper(@NotNull jakarta.servlet.http.HttpServletMapping c)`
Create new wrapper

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.http.HttpServletMapping`
`getMapping()`
Get the wrapped mapping
`javax.servlet.http.MappingMatch`
`getMappingMatch()`
`String`
`getMatchValue()`
`String`
`getPattern()`
`String`
`getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServletMappingWrapper

public HttpServletMappingWrapper(@NotNull @NotNull jakarta.servlet.http.HttpServletMapping c)
Create new wrapper

Parameters:
  `c` - Wrapped mapper

## Method Details

### getMatchValue

public String getMatchValue()

Specified by:
  `getMatchValue` in interface `javax.servlet.http.HttpServletMapping`

### getPattern

public String getPattern()

Specified by:
  `getPattern` in interface `javax.servlet.http.HttpServletMapping`

### getServletName

public String getServletName()

Specified by:
  `getServletName` in interface `javax.servlet.http.HttpServletMapping`

### getMappingMatch

public javax.servlet.http.MappingMatch getMappingMatch()

Specified by:
  `getMappingMatch` in interface `javax.servlet.http.HttpServletMapping`

### getMapping

public jakarta.servlet.http.HttpServletMapping getMapping()
Get the wrapped mapping

Returns:
  The mapping